package com.cosmodas.EntCosmos;



import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
@Entity
@Table(name = "vPremios_salas")
public class VPremiosSalas implements Serializable {

    @Id
    @Column(name = "producto_codigo")
    private String productoCodigo;

    @Column(name = "producto_nombre")
    private String productoNombre;

    @Column(name = "bodega_central")
    private Integer bodegaCentral;

    @Column(name = "despacho_central")
    private Integer despachoCentral;

    @Column(name = "soyapango")
    private Integer soyapango;

    @Column(name = "san_miguel")
    private Integer sanMiguel;

    @Column(name = "usulutan")
    private Integer usulutan;

    @Column(name = "zacate")
    private Integer zacate;

    @Column(name = "santa_ana")
    private Integer santaAna;

    @Column(name = "sonsonate")
    private Integer sonsonate;

    @Column(name = "apopa")
    private Integer apopa;

    public String getProductoCodigo() {
        return productoCodigo;
    }

    public void setProductoCodigo(String productoCodigo) {
        this.productoCodigo = productoCodigo;
    }

    public String getProductoNombre() {
        return productoNombre;
    }

    public void setProductoNombre(String productoNombre) {
        this.productoNombre = productoNombre;
    }

    public Integer getBodegaCentral() {
        return bodegaCentral;
    }

    public void setBodegaCentral(Integer bodegaCentral) {
        this.bodegaCentral = bodegaCentral;
    }

    public Integer getDespachoCentral() {
        return despachoCentral;
    }

    public void setDespachoCentral(Integer despachoCentral) {
        this.despachoCentral = despachoCentral;
    }

    public Integer getSoyapango() {
        return soyapango;
    }

    public void setSoyapango(Integer soyapango) {
        this.soyapango = soyapango;
    }

    public Integer getSanMiguel() {
        return sanMiguel;
    }

    public void setSanMiguel(Integer sanMiguel) {
        this.sanMiguel = sanMiguel;
    }

    public Integer getUsulutan() {
        return usulutan;
    }

    public void setUsulutan(Integer usulutan) {
        this.usulutan = usulutan;
    }

    public Integer getZacate() {
        return zacate;
    }

    public void setZacate(Integer zacate) {
        this.zacate = zacate;
    }

    public Integer getSantaAna() {
        return santaAna;
    }

    public void setSantaAna(Integer santaAna) {
        this.santaAna = santaAna;
    }

    public Integer getSonsonate() {
        return sonsonate;
    }

    public void setSonsonate(Integer sonsonate) {
        this.sonsonate = sonsonate;
    }

    public Integer getApopa() {
        return apopa;
    }

    public void setApopa(Integer apopa) {
        this.apopa = apopa;
    }

    public VPremiosSalas() {
    }
}
